Bug 728363 - [abrt] usb_modeswitch-1.1.7-1.fc15: usb_control_msg: Process /usr/sbin/usb_modeswitch was killed by signal 11 (SIGSEGV)
Summary: [abrt] usb_modeswitch-1.1.7-1.fc15: usb_control_msg: Process /usr/sbin/usb_mo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mail@romal.de
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:762ef17d7fd24ae5ad2a0ca42de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 20:24 UTC by Jonathan Wakely
Modified: 2012-08-07 17:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:01:02 UTC


Attachments (Terms of Use)

Description Jonathan Wakely 2011-08-04 20:24:00 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        usb_modeswitch -v 12d1 -P 1c0b -p 1c08 -W -H
component:      usb_modeswitch
crash_function: usb_control_msg
executable:     /usr/sbin/usb_modeswitch
kernel:         2.6.38.8-35.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        usb_modeswitch-1.1.7-1.fc15
reason:         Process /usr/sbin/usb_modeswitch was killed by signal 11 (SIGSEGV)
time:           Thu Aug  4 21:07:47 2011
uid:            500
username:       redi

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3a/8fe6cb0063d56fc9be76ecd085c05f1b8a76e6
:[New LWP 14806]
:[Thread debugging using libthread_db enabled]
:Core was generated by `usb_modeswitch -v 12d1 -P 1c0b -p 1c08 -W -H'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0000003a9e002db3 in usb_control_msg (dev=0x0, bmRequestType=<optimized out>, bRequest=<optimized out>, wValue=<optimized out>, wIndex=<optimized out>, bytes=0x60a040 "", size=1, timeout=1000) at core.c:845
:845		r = libusb_control_transfer(dev->handle, bmRequestType & 0xff,
:
:Thread 1 (Thread 0x7f8887974720 (LWP 14806)):
:#0  0x0000003a9e002db3 in usb_control_msg (dev=0x0, bmRequestType=<optimized out>, bRequest=<optimized out>, wValue=<optimized out>, wIndex=<optimized out>, bytes=0x60a040 "", size=1, timeout=1000) at core.c:845
:        r = <optimized out>
:#1  0x000000000040339d in get_current_configuration (devh=0x0) at usb_modeswitch.c:1390
:        ret = <optimized out>
:#2  0x0000000000401617 in main (argc=9, argv=<optimized out>) at usb_modeswitch.c:406
:        numDefaults = 1
:        specialMode = 0
:        sonySuccess = 0
:        currentConfig = 0
:        defaultClass = 0
:        interfaceClass = 0
:From                To                  Syms Read   Shared Object Library
:0x0000003a9e001620  0x0000003a9e00317c  Yes         /lib64/libusb-0.1.so.4.4.4
:0x0000003a8a01ece0  0x0000003a8a14304c  Yes         /lib64/libc-2.14.so
:0x0000003a9d802620  0x0000003a9d80999c  Yes         /lib64/libusb-1.0.so.0.0.0
:0x0000003a89c00b20  0x0000003a89c18caa  Yes         /lib64/ld-2.14.so
:0x0000003a8b402160  0x0000003a8b4053ec  Yes         /lib64/librt-2.14.so
:0x0000003a8ac05640  0x0000003a8ac1038c  Yes         /lib64/libpthread-2.14.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x1	1
:rbx            0x0	0
:rcx            0x0	0
:rdx            0x8	8
:rsi            0x80	128
:rdi            0x0	0
:rbp            0x12d1	0x12d1
:rsp            0x7fff59ce4590	0x7fff59ce4590
:r8             0x0	0
:r9             0x60a040	6332480
:r10            0x69666e6f63206563	7594879246290412899
:r11            0x246	582
:r12            0x402050	4202576
:r13            0x7fff59ce46e0	140734700078816
:r14            0x0	0
:r15            0x0	0
:rip            0x3a9e002db3	0x3a9e002db3 <usb_control_msg+35>
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function usb_control_msg:
:   0x0000003a9e002d90 <+0>:	push   %rbx
:   0x0000003a9e002d91 <+1>:	movzwl %cx,%ecx
:   0x0000003a9e002d94 <+4>:	movzbl %dl,%edx
:   0x0000003a9e002d97 <+7>:	movzbl %sil,%esi
:   0x0000003a9e002d9b <+11>:	movzwl %r8w,%r8d
:   0x0000003a9e002d9f <+15>:	sub    $0x10,%rsp
:   0x0000003a9e002da3 <+19>:	mov    0x28(%rsp),%eax
:   0x0000003a9e002da7 <+23>:	mov    %eax,0x8(%rsp)
:   0x0000003a9e002dab <+27>:	movzwl 0x20(%rsp),%eax
:   0x0000003a9e002db0 <+32>:	mov    %eax,(%rsp)
:=> 0x0000003a9e002db3 <+35>:	mov    (%rdi),%rdi
:   0x0000003a9e002db6 <+38>:	callq  0x3a9e001488 <libusb_control_transfer@plt>
:   0x0000003a9e002dbb <+43>:	test   %eax,%eax
:   0x0000003a9e002dbd <+45>:	mov    %eax,%ebx
:   0x0000003a9e002dbf <+47>:	js     0x3a9e002dd0 <usb_control_msg+64>
:   0x0000003a9e002dc1 <+49>:	add    $0x10,%rsp
:   0x0000003a9e002dc5 <+53>:	mov    %ebx,%eax
:   0x0000003a9e002dc7 <+55>:	pop    %rbx
:   0x0000003a9e002dc8 <+56>:	retq   
:   0x0000003a9e002dc9 <+57>:	nopl   0x0(%rax)
:   0x0000003a9e002dd0 <+64>:	callq  0x3a9e001578 <__errno_location@plt>
:   0x0000003a9e002dd5 <+69>:	lea    0xc(%rbx),%ecx
:   0x0000003a9e002dd8 <+72>:	mov    $0x22,%edx
:   0x0000003a9e002ddd <+77>:	mov    $0xffffffde,%ebx
:   0x0000003a9e002de2 <+82>:	cmp    $0xc,%ecx
:   0x0000003a9e002de5 <+85>:	jbe    0x3a9e002df8 <usb_control_msg+104>
:   0x0000003a9e002de7 <+87>:	mov    %edx,(%rax)
:   0x0000003a9e002de9 <+89>:	add    $0x10,%rsp
:   0x0000003a9e002ded <+93>:	mov    %ebx,%eax
:   0x0000003a9e002def <+95>:	pop    %rbx
:   0x0000003a9e002df0 <+96>:	retq   
:   0x0000003a9e002df1 <+97>:	nopl   0x0(%rax)
:   0x0000003a9e002df8 <+104>:	lea    0x5e1(%rip),%rdx        # 0x3a9e0033e0 <CSWTCH.37>
:   0x0000003a9e002dff <+111>:	mov    (%rdx,%rcx,4),%edx
:   0x0000003a9e002e02 <+114>:	mov    %edx,%ebx
:   0x0000003a9e002e04 <+116>:	mov    %edx,(%rax)
:   0x0000003a9e002e06 <+118>:	neg    %ebx
:   0x0000003a9e002e08 <+120>:	jmp    0x3a9e002de9 <usb_control_msg+89>
:End of assembler dump.

build_ids:
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:a49cf848d2b34230f96e1ddfd36eb56222de0ff8
:020ea634b00e306a5ba5982d96f7f55c560bee88
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:f4091fbb43e3dc3c0fbaf620b09093c599803420
:f510a69fd2f699f4ba4c499e4be53041e43fa5fe
:263808e67654286dd52d513eff5f47217feb6bf2

comment:
:I tried to use usb_modeswitch to reset a Huawei E173 usb modem to its original mode, using this command
:(note that original product ID is given as 1c08 and target as 1c0b, which is the opposite of what I originally used to enable it):
:
:$ usb_modeswitch   -v 12d1 -P 1c0b -p 1c08 -W -H
:Taking all parameters from the command line
:
:
: * usb_modeswitch: handle USB devices with multiple modes
: * Version 1.1.6 (C) Josua Dietze 2010
: * Based on libusb0 (0.1.12 and above)
:
: ! PLEASE REPORT NEW CONFIGURATIONS !
:
:DefaultVendor=  0x12d1
:DefaultProduct= 0x1c08
:TargetVendor=   not set
:TargetProduct=  0x1c0b
:TargetClass=    not set
:TargetProductList=""
:
:DetachStorageOnly=0
:HuaweiMode=1
:SierraMode=0
:SonyMode=0
:GCTMode=0
:KobilMode=0
:MessageEndpoint=  not set
:MessageContent=""
:NeedResponse=0
:ResponseEndpoint= not set
:Interface=0x00
:
:InquireDevice enabled (default)
:Success check disabled
:System integration mode disabled
:
:
:Looking for default devices ...
:  searching devices, found USB ID 1d6b:0002
:  searching devices, found USB ID 12d1:1c08
:   found matching vendor ID
:   found matching product ID
:   adding device
:  searching devices, found USB ID 1d6b:0002
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 046d:c018
:  searching devices, found USB ID 046d:c312
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 1d6b:0001
: Found devices in default mode, class or configuration (1)
:Accessing device 007 on bus 001 ...
:libusb:error [op_open] libusb couldn't open USB device /dev/bus/usb/001/007: Permission denied.
:libusb:error [op_open] libusb requires write access to USB device nodes.
:libusb-compat info: usb_open: Device open failed due to a permission denied error.
:libusb-compat info: usb_open: libusb requires write access to USB device nodes.
:libusb-compat error: usb_open: could not open device, error -3
:Getting the current device configuration ...
:Segmentation fault (core dumped)
:

comment~:
:I tried to use usb_modeswitch to reset a Huawei E173 usb modem to its original mode, using this command
:(note that original product ID is given as 1c08 and target as 1c0b, which is the opposite of what I originally used to enable it):
:
:$ usb_modeswitch   -v 12d1 -P 1c0b -p 1c08 -W -H
:Taking all parameters from the command line
:
:
: * usb_modeswitch: handle USB devices with multiple modes
: * Version 1.1.6 (C) Josua Dietze 2010
: * Based on libusb0 (0.1.12 and above)
:
: ! PLEASE REPORT NEW CONFIGURATIONS !
:
:DefaultVendor=  0x12d1
:DefaultProduct= 0x1c08
:TargetVendor=   not set
:TargetProduct=  0x1c0b
:TargetClass=    not set
:TargetProductList=""
:
:DetachStorageOnly=0
:HuaweiMode=1
:SierraMode=0
:SonyMode=0
:GCTMode=0
:KobilMode=0
:MessageEndpoint=  not set
:MessageContent=""
:NeedResponse=0
:ResponseEndpoint= not set
:Interface=0x00
:
:InquireDevice enabled (default)
:Success check disabled
:System integration mode disabled
:
:
:Looking for default devices ...
:  searching devices, found USB ID 1d6b:0002
:  searching devices, found USB ID 12d1:1c08
:   found matching vendor ID
:   found matching product ID
:   adding device
:  searching devices, found USB ID 1d6b:0002
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 046d:c018
:  searching devices, found USB ID 046d:c312
:  searching devices, found USB ID 1d6b:0001
:  searching devices, found USB ID 1d6b:0001
: Found devices in default mode, class or configuration (1)
:Accessing device 007 on bus 001 ...
:libusb:error [op_open] libusb couldn't open USB device /dev/bus/usb/001/007: Permission denied.
:libusb:error [op_open] libusb requires write access to USB device nodes.
:libusb-compat info: usb_open: Device open failed due to a permission denied error.
:libusb-compat info: usb_open: libusb requires write access to USB device nodes.
:libusb-compat error: usb_open: could not open device, error -3
:Getting the current device configuration ...
:Segmentation fault (core dumped)

dso_list:
:/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-9.fc15.x86_64 (Fedora Project) 1309211793
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309810059
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309810059
:/usr/sbin/usb_modeswitch usb_modeswitch-1.1.7-1.fc15.x86_64 (Fedora Project) 1303433331
:/lib64/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.x86_64 (Fedora Project) 1303433028
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309810059
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309810059

environ:
:SSH_AGENT_PID=1512
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:HOSTNAME=moria.localdomain
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-hLnjXt/S.gpg-agent:1538:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=ba328005643ae7868d421bee0000000b-1312287738.448360-1510441993
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/redi/.gtkrc-2.0:/home/redi/.gtkrc-2.0-kde4:/home/redi/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.130
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/redi/.gtkrc::/home/redi/.kde/share/config/gtkrc
:WINDOWID=54525991
:QTDIR=/usr/lib64/qt-3.3
:SHELL_SESSION_ID=15de5a6aaab54000b99227a9c6fbe75b
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=redi
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/ssh-jmggnP1380/agent.1380
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1597,unix/unix:/tmp/.ICE-unix/1597
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/redi
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/redi/bin
:CCACHE_DISABLE=1
:QT_IM_MODULE=xim
:PWD=/home/redi
:XMODIFIERS=@im=none
:EDITOR=vim
:KDE_SESSION_UID=500
:LANG=en_GB.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/redi
:COLORFGBG=15;0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=redi
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QMHHBu2Kuu,guid=9b49833e216411bc2fa1b7b10000001b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=/home/redi
:XDG_RUNTIME_DIR=/run/user/redi
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/redi/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-redi/xauth-500-_0
:_=/usr/sbin/usb_modeswitch

maps:
:00400000-00409000 r-xp 00000000 08:03 1073121                            /usr/sbin/usb_modeswitch
:00608000-0060a000 rw-p 00008000 08:03 1073121                            /usr/sbin/usb_modeswitch
:0060a000-0060c000 rw-p 00000000 00:00 0 
:00809000-0080a000 rw-p 00009000 08:03 1073121                            /usr/sbin/usb_modeswitch
:0124f000-01270000 rw-p 00000000 00:00 0                                  [heap]
:3a89c00000-3a89c1f000 r-xp 00000000 08:03 268818                         /lib64/ld-2.14.so
:3a89e1e000-3a89e1f000 r--p 0001e000 08:03 268818                         /lib64/ld-2.14.so
:3a89e1f000-3a89e20000 rw-p 0001f000 08:03 268818                         /lib64/ld-2.14.so
:3a89e20000-3a89e21000 rw-p 00000000 00:00 0 
:3a8a000000-3a8a18f000 r-xp 00000000 08:03 270869                         /lib64/libc-2.14.so
:3a8a18f000-3a8a38e000 ---p 0018f000 08:03 270869                         /lib64/libc-2.14.so
:3a8a38e000-3a8a392000 r--p 0018e000 08:03 270869                         /lib64/libc-2.14.so
:3a8a392000-3a8a393000 rw-p 00192000 08:03 270869                         /lib64/libc-2.14.so
:3a8a393000-3a8a399000 rw-p 00000000 00:00 0 
:3a8ac00000-3a8ac16000 r-xp 00000000 08:03 283692                         /lib64/libpthread-2.14.so
:3a8ac16000-3a8ae15000 ---p 00016000 08:03 283692                         /lib64/libpthread-2.14.so
:3a8ae15000-3a8ae16000 r--p 00015000 08:03 283692                         /lib64/libpthread-2.14.so
:3a8ae16000-3a8ae17000 rw-p 00016000 08:03 283692                         /lib64/libpthread-2.14.so
:3a8ae17000-3a8ae1b000 rw-p 00000000 00:00 0 
:3a8b400000-3a8b407000 r-xp 00000000 08:03 283708                         /lib64/librt-2.14.so
:3a8b407000-3a8b606000 ---p 00007000 08:03 283708                         /lib64/librt-2.14.so
:3a8b606000-3a8b607000 r--p 00006000 08:03 283708                         /lib64/librt-2.14.so
:3a8b607000-3a8b608000 rw-p 00007000 08:03 283708                         /lib64/librt-2.14.so
:3a9d800000-3a9d80d000 r-xp 00000000 08:03 283722                         /lib64/libusb-1.0.so.0.0.0
:3a9d80d000-3a9da0c000 ---p 0000d000 08:03 283722                         /lib64/libusb-1.0.so.0.0.0
:3a9da0c000-3a9da0d000 rw-p 0000c000 08:03 283722                         /lib64/libusb-1.0.so.0.0.0
:3a9e000000-3a9e004000 r-xp 00000000 08:03 277592                         /lib64/libusb-0.1.so.4.4.4
:3a9e004000-3a9e203000 ---p 00004000 08:03 277592                         /lib64/libusb-0.1.so.4.4.4
:3a9e203000-3a9e204000 rw-p 00003000 08:03 277592                         /lib64/libusb-0.1.so.4.4.4
:7f8887974000-7f8887978000 rw-p 00000000 00:00 0 
:7f888799c000-7f888799e000 rw-p 00000000 00:00 0 
:7fff59cc6000-7fff59ce7000 rw-p 00000000 00:00 0                          [stack]
:7fff59dff000-7fff59e00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug  4 20:01:28 moria usb_modeswitch: switching 12d1:1c0b (HUAWEI: HUAWEI Mobile)
:Aug  4 20:01:34 moria usb_modeswitch: switched to 12d1:1c08 (HUAWEI: HUAWEI Mobile)
:Aug  4 20:01:35 moria logger: usb_modeswitch: adding device ID 12d1:1c08 to driver "option"
:Aug  4 21:07:47 moria kernel: [200755.741482] usb_modeswitch[14806]: segfault at 0 ip 0000003a9e002db3 sp 00007fff59ce4590 error 4 in libusb-0.1.so.4.4.4[3a9e000000+4000]
:Aug  4 21:07:47 moria abrt[14807]: saved core dump of pid 14806 (/usr/sbin/usb_modeswitch) to /var/spool/abrt/ccpp-2011-08-04-21:07:47-14806.new/coredump (450560 bytes)

Comment 1 Josua Dietze 2011-10-15 19:43:40 UTC
You can't reset devices to install mode in the vast majority of cases.

You could try with a "device reset" using usb_modeswitch's "-R" parameter. But I've seen a "switch back" only once during the last four years. In all other cases there is just a 'legal' device reset of the modem mode.

No bulk message or control command is known for any device which can revert it to install mode. Your approach is wrong.

Comment 2 Jonathan Wakely 2011-11-05 16:04:20 UTC
I'm sure the approach is wrong, and I solved my problem a different way, but the process shouldn't segfault

Comment 3 Josua Dietze 2011-11-06 16:45:21 UTC
You are right, it shouldn't.

I was able to confirm the crash; it happens only if you run with user rights (which does not make sense, but still ...).

I will add the fix in the next upstream version (1.2.1).

Comment 4 Fedora End Of Life 2012-08-07 17:01:04 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.